@echo off
rem #------------------------------------------------------------------------------
rem #
rem # Filename: cimom.bat
rem #
rem # Description: This Bat file is invoked from cimom service to launch cimom java application
rem #
rem # Change History:
rem #
rem #  Modifier            Date                Change ID
rem # ------------------------------------------------------------------------------
rem #  Darshan Vora          07-01-2002
rem #  Initial creation
rem #  IBM-RO TEAM  08-19-2002
rem #  Reorganize for calling setupCmdLine.bat
rem #  IBM-RO TEAM  10-28-2002
rem #  Check that the script was launched from service
rem #  IBM-RO TEAM  02-19-2003
rem #  Add -Xrs option to java invocation
rem #  IBM-RO TEAM  03-05-2003
rem #  Change the method of verifying that the script was launched from service
rem #  IBM-RO TEAM  06-11-2003
rem #  Increase the value for the max heap size to 512 MB
rem #-----------------------------------------------------------------------------

if X%USERNAME%==X goto et1
echo %~0|find "\.\.\%~nx0" >NUL 2>NUL
if %errorlevel% EQU 0 goto et1
echo This script can be launched only by the service. >&2
echo If you want to start cimom server, you must use startcimom.bat instead. >&2
exit /B 4
:et1

@setlocal
call "%~dp0setupCmdLine.bat"

set CP="%XML%\xercesImpl.jar";"%XML%\xmlParserAPIs.jar";"%CIMOM%\ibmica.jar";"%JLOG%\jlog.jar";"%JSSE%\ibmjsse.jar";"%JCE%\IBMJCEfw.jar";"%JCE%\IBMJCEProvider.jar";"%JCE%\local_policy.jar";"%JCE%\US_export_policy.jar";"%PKCS%\ibmpkcs.jar";"%JAVA_HOME%\jre\lib\rt.jar";"%ESSNI%\logger.jar";"%ESSNI%\ESSNIClient.jar";"%ESSNI%\ESSNICommon.jar";"%CIMOM%\lib\AdvisorSea.jar";"%ESSCLI%\rsCliSeascape.jar";"%ESSNI%\hwmcaapi.jar"

cd /d "%CIMOM%"
move /y "%CIMOM%\cimom.log"  "%CIMOM%\cimom.log.bak"   2>NUL 1>NUL
move /y "%CIMOM%\security.log"  "%CIMOM%\security.log.bak"   2>NUL 1>NUL

"%JAVA_HOME%\jre\bin\java" -Xrs -Xms128m -Xmx512m -cp %CP% com.ibm.cimom.CIMOM -Prime -Prime -Prime
@endlocal

